#include <stdlib.h>
#include "gpio.h"
#include "log.h"
#include "time_func.h"
#include "sysinput.h"

int main(int argc, char *argv[])
{
  MSG msg;
  
  TimeInit();
  if (Gpio_setup() != 0)
    return EXIT_FAILURE;
  atexit(Gpio_cleanup);
  if (SysEnableInput() != 0)
    return EXIT_FAILURE;
  atexit(SysDisableInput);

  Log(LINFO, "System ready.");

  for (;;)
  {
    if (MqPeek(Sys_Queue, &msg, PEEK_REMOVE))
    {
      switch (msg.message)
      {
	case WM_HWBUTTONDOWN:
	  Log(LINFO, "Button %d was pressed.", (int)(msg.attrs[0]));
	  break;

	case WM_HWBUTTONUP:
	  Log(LINFO, "Button %d was released.", (int)(msg.attrs[0]));
	  break;

	default:
	  break;
      }
    }
  }
  
  return EXIT_SUCCESS;
}
